Download Shareware and Freeware Software for Windows, Linux, Macintosh, PDA

line Home  |  About Us  |  Link To Us  |  FAQ  |  Contact

Serving Software Downloads in 976 Categories, Downloaded 29.877.476 Times

Schedule24 Standard 3.5

  Date Added: December 03, 2007  |  Visits: 7.743
5 Stars5 Stars5 Stars5 Stars5 Stars

Schedule24 Standard
Full screenshot

Report Broken Link
Printer Friendly Version
Order Now

Product Homepage
Download (337 downloads)



Schedule24 Standard Edition is ideal for any small business or organization that needs to schedule up to 25 employees per schedule. Schedule24 Standard Edition offers many new features and enhancements, including a Microsoft Office style user interface. Schedule24 Standard Edition enables you to: schedule shifts, assignments, vacation, track sickness, insert memos, and much more. New built-in powerful scheduling wizard that will automate shifts. Print schedules in a variety of reports or publish to the Web.

Requirements: No special requirements
Release Date: September 10, 2007
Platforms: Windows 2000, Windows XP, Windows 2003 , Windows Vista Starter,Windows Vista Home Basic,Windows Vista Home Premium,Windows Vista Business,Windows Vista Enterprise,Windows Vista Ultimate
Keyword: Calender Employee Scheduling; Scheduling Employees Holiday Hr Manager Personnel Rostering Shifts Sickness Staff Time Vacation
Users rating: 8/10

License: Demo Cost: $168.00 USD Size: 59.27 MB
USER REVIEWS
(10 January 2015, 09:56)

Comments:

It offers a set of helpful features to do your scheduling job with peace. I am very satisfied using this program.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(16 April 2014, 11:11)

Comments:

Useful scheduling software. Very easy to use.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
( 3 December 2007, 16:03)

Comments:

Excellent! Spent months looking for a replacement to Excel. It's worth the layout just to track my staff's vacations. The rolling calendar is the real time-saver.
Ease of use : 4 Stars4 Stars4 Stars4 Stars4 Stars
Functionality : 4 Stars4 Stars4 Stars4 Stars4 Stars
Value for money : 5 Stars5 Stars5 Stars5 Stars5 Stars
Overall score : 4.5 Stars4.5 Stars4.5 Stars4.5 Stars4.5 Stars
 
More Reviews or Write Review


SCHEDULE24 STANDARD RELATED
Time & Clock Tools  -  CyberMatrix Employee Scheduler 3.00
Employee schedule administrators can save time by using Employee Scheduler to automatically generate optimized work schedules for their employees. You can assign employees into categories and preferred locations, enter their day/time availability...
6.65 MB  
Business  -  Staff Scheduler Pro 1.8
To help businesses in managing employees, eDataset, a renowned software developer company, has come up with employee management software of superior quality. That software is branded as "Staff Scheduler Pro"; a large set of features is attached to...
14.76 MB  
Business  -  HR Cube - HRIS Software 1.0.5074.18130
There are lots and lots of records or information that needs to be managed by HR, which is specially related to employees because human is considered as resource. The software which we named HR Cube, has been designed to accommodate useful...
465 KB  
Utilities  -  HRa Mobile 1.4.5
HRa Mobile enables the employees of HR Access customers to access and manage specific HRIS processes and personnel records, using a smartphone enabled with fast, secure connectivity. HRa Mobile covers the following HR processes:...
2.8 MB  
Vertical Markets  -  HR Employee MS Access Database Template 1.1.0
HR Employee MS Access Database Template - Fully customizable and editable MS Access Human Resources Employee Database Template. Manage staff and workforce information in this professional Human Resources (HR) MS Access Template for modern...
68.33 KB  
Organizers  -  MUSC 0.2b 1.0
MUSC is a multiplatform scheduling program and personal information manager with modern design. You can easily create and share your calendar and contacts with other people, get news from RSS, search on internet and more. Support for iCalendar and...
 
Utilities  -  Event Manager Professional 3.29
Event Manager Professional takes the task scheduling of our popular Event Manager software and extends functionality by adding nearly every feature that has been requested by power users and administrators.Add internal backup, internet...
1.53 MB  
Business  -  Staff Files 7.0
Staff Files is the perfect HR software for today's managers and human resource professionals who need an easy way to store, retrieve, and safeguard employee information. This flexible HR software lets you track wages, benefits, time-off,...
24.07 MB  
Security Tools  -  Hidden Camera 250x1 2.23
Employee monitoring software Oleansoft Hidden Camera 250x1 is intended for remote control and observation over computers in a local network or via the Internet with or without recording. You can observe up to 250 computers simultaneously in...
1.33 MB  
Spreadsheets  -  10 Hour Schedules for 5 Days a Week 1
An employee shift scheduling package that including 101 different 10 hour schedules to cover 1, 2 or 3 shifts a day for 5 days a week. The schedules are laid out in weekly tables that clearly show days and shifts worked by each person each week....
405 KB  
NEW DOWNLOADS IN BUSINESS, WORKGROUP MANAGEMENT
Business  -  ServiceDesk Lite 10.0
ServiceDesk Lite is free ready to use service management software that enables you to manage customer complaint life cycle from complaint initiation, assignment to closure in a very simple way.For service oriented firms it is very essential to...
5.83 MB  
Business  -  AllMyNotes Organizer Deluxe Edition 3.20
In AllMyNotes Organizer app all your important data is saved secure , secured by password, in one, encoded local file, and notes are arranged into a flexible outline hierarchy of folders. Where do you usually keep all your valuable private...
5.11 MB  
Business  -  Stellar SQL Database Toolkit 8.0
Stellar SQL Database Toolkit solves three SQL server problems in one shot. It combines 3 unique tools aimed at 3 purposes - fixing issues in damaged / corrupted MDF files and repairing inaccessible SQL database to allow smooth data recovery from...
9.25 MB  
Business  -  Tipard PDFJoiner 3.0.42
ipard PDF Joiner is the most professional PDF Merger to help you merge several PDF files into one.And there are more than one merging methods for you to select. You can select the page range and page sort.. This software allows you to choose your...
1.81 MB  
Business  -  Doxillion Plus Edition 2.67
Doxillion is a PDF converter to convert docx, doc, rtf, html, xml, wpd, odt, txt and other text file formats. Convert a single file or batch convert several PDFs at a time. Easily add Doxillion to your right click menu to add fast and simple...
1.45 MB  
Workgroup Management  -  Dashboard Cola 2.0.0
Dashboard Cola is an interactive visualization dashboard designer where the user are able to click and drill down the data. The charting support various type of interactive charting from simple line chart, area chart, bar chart, pie chart, to tree...
46.9 MB  
Workgroup Management  -  CleverControl Employee Monitoring 10.2
CleverControl is a free business program for employee monitoring based on a cloud technology. This software allows employers to enhance efficiency of their staff work efforts and also prevent corporate information from being disclosed. In...
17.99 MB  
Workgroup Management  -  Sentrifugo Opensource HRMS 2.1
Human Resource: Configure and manage Sentrifugo's full-featured flexible solutions that are unique to your organization. Manage holiday groups, determine leave management options and define employee configurations; all in one place Performance...
40.02 MB  
Workgroup Management  -  Batch Word Highlighter 3.5.0
Batch word highlighter is an apparatus designed to highlight words in multiple word files. Users can highlight words in thousand numbers with the help of this tool in numerous word files within seconds. The tool supports all the files formats of...
2.69 MB  
Workgroup Management  -  HR Tracking Database Software 2.4.5
HR Tracking Database Software for employee and job information for businesses HR Tracking Database Software by DB-Pros, Inc. was designed to administer HR and employment data with instant results, while maintaining the accuracy and security...
4.2 MB